## ros-humble-tuw-geometry 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(tuw_geometry)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

include_directories(include)

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(std_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(OpenCV REQUIRED COMPONENTS core highgui imgcodecs imgproc videoio)

add_library(${PROJECT_NAME} SHARED
  src/${PROJECT_NAME}/utils.cpp
  src/${PROJECT_NAME}/point2d.cpp
  src/${PROJECT_NAME}/polar2d.cpp
  src/${PROJECT_NAME}/pose2d.cpp
  src/${PROJECT_NAME}/line2d.cpp
  src/${PROJECT_NAME}/command2d.cpp
  src/${PROJECT_NAME}/linesegment2d.cpp
  src/${PROJECT_NAME}/linesegment2d_detector.cpp
  src/${PROJECT_NAME}/figure.cpp
  src/${PROJECT_NAME}/tuw_geometry.cpp
  src/${PROJECT_NAME}/world_scoped_maps.cpp
  src/${PROJECT_NAME}/layered_maps.cpp
  src/${PROJECT_NAME}/layered_figure.cpp
)
target_compile_features(tuw_geometry PUBLIC c_std_99 cxx_std_17)  # Require C99 and C++17
target_include_directories(tuw_geometry PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${PROJECT_NAME}
  rclcpp
  rclcpp_components
  sensor_msgs
  std_msgs
  OpenCV)


  # Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(tuw_geometry PRIVATE "TUW_GEOMETRY_BUILDING_LIBRARY")

add_executable(example_figure src/main_example_figure.cpp)
target_include_directories(example_figure PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
target_compile_features(example_figure PUBLIC c_std_99 cxx_std_17)  # Require C99 and C++17
target_link_libraries(example_figure
  rclcpp::rclcpp
  ${PROJECT_NAME}
  ${sensor_msgs_TARGETS}
  ${std_msgs_TARGETS}
  ${OpenCV_LIBS})

install(TARGETS example_figure
  DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)
install(
  TARGETS tuw_geometry
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips the linter which checks for copyrights
  # comment the line when a copyright and license is added to all source files
  set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # comment the line when this package is in a git repo and when
  # a copyright and license is added to all source files
  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(test_geometry test/test_geometry.cpp)  # Need to link .cpp file under test
  target_include_directories(test_geometry PUBLIC src/)  # Need to specify directories in order to #include from them in the test
  target_link_libraries(test_geometry tuw_geometry)

  set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_include_directories(
  include
)
ament_export_libraries(
  tuw_geometry
)
ament_export_targets(
  export_${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-tuw-geometry (0.1.1-1jammy) jammy; urgency=high

  * docs updated
  * Doxyfile added
  * Contributors: Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 24 Jun 2023 22:00:00 -0000

ros-humble-tuw-geometry (0.0.9-1jammy) jammy; urgency=high

  * connand2d files added
  * Contributors: Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 14 May 2023 22:00:00 -0000

ros-humble-tuw-geometry (0.0.8-1jammy) jammy; urgency=high

  * command to command2d
  * sample2d removed
  * sample template added
  * Contributors: Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 29 Mar 2023 22:00:00 -0000

ros-humble-tuw-geometry (0.0.7-1jammy) jammy; urgency=high

  * lint_cmake error fixed
  * uncrustify reformated
  * minor
  * 2D sample class added
  * Merge branch 'humble' into ros2
  * quaternion support enhanced
  * Contributors: Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 25 Mar 2023 23:00:00 -0000

ros-humble-tuw-geometry (0.0.5-1jammy) jammy; urgency=high

  * boost lexical_cast removed
  * Contributors: Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Mar 2023 23:00:00 -0000

ros-humble-tuw-geometry (0.0.4-1jammy) jammy; urgency=high

  * Error on returnvalue in LayeredMaps::getVal( fixed
  * header files renamed to hpp
  * figure sample added
  * uncrustifyed
  * code reformated
  * ros2 ready
  * CMake version updated
  * opencv4 fix in grid_map
  * warning fixed
  * Contributors: Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 19 Mar 2023 23:00:00 -0000

ros-humble-tuw-geometry (0.0.3-1jammy) jammy; urgency=high

  * install targets fixed
  * Contributors: Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 23 Sep 2018 22:00:00 -0000

ros-humble-tuw-geometry (0.0.2-1jammy) jammy; urgency=high

  * measurment object removed
  * Contributors: Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 16 Sep 2018 22:00:00 -0000

ros-humble-tuw-geometry (0.0.1-1jammy) jammy; urgency=high

  * eigen include fixed
  * eigen find added
  * updated on grid_map
  * convertion function added
  * map update
  * grid_map.h added
  * grid_map.h added
  * Merge branch 'kinetic' into kinetic-devel
  * added shape_variables
  * Merge branch 'kinetic-devel' into kinetic
  * added constants for sensor/det type
  * some changes to object
  * fixed reference
  * added MeasurementObject
  * Revert "added ros node for linesegment detector"
    This reverts commits d015903fa6ef6ee49dd9bffac8ceaff809ee70cb
    and 0a8f034898284155fa5470b76fdb43ffb38a0105.
    linesegment detector node can now be found in tuw_calibration
  * added dynamic reconfigure for linesegment detector node
  * added ros node for linesegment detector
  * Merge branch 'kinetic-devel' of github.com:tuw-robotics/tuw_geometry into kinetic-devel
  * fixed function return value bug
  * merged
  * author added
  * Merge branch 'kinetic-devel' of https://github.com/tuw-robotics/tuw_geometry into kinetic-devel
  * added helper function for getting distance along line
  * tuw_geometry_wrapper from catkin_package macro removed
  * now layered maps have float channels
  * added layered maps and figure functionality and files
  * added layered maps and figure functionality
  * map to world functionality from Figure class moved in base class WorldScopedMaps
  * wrapper update
  * unittests added
  * wrapper enhanced
  * wrapper starts to work
  * python wrapper added but not yet working
  * Moved measurement_marker.h/measurement_marker.cpp to tuw_markers_slam
  * Marker measurement added
  * Merge branch 'master' of github.com:tuw-robotics/tuw_geometry
  * Initial commit
  * changes up-to-date
  * gitignore added
  * first commit
  * Contributors: Florian Beck, Horatiu George Todoran, Markus Bader, Markus Bader @ Marvin, Markus Bader @ munin, mmacsek, todorangrg

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 11 Sep 2018 22:00:00 -0000

=== debian/control ===
Source: ros-humble-tuw-geometry
Section: misc
Priority: optional
Maintainer: Markus Bader <markus.bader@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tuw-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: The tuw_geometry package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tuw-geometry//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
